The cirros image was rebuilt against the 3.13.0-83 kernel, drivers e1000e, igbvf...
[packages/trusty/cirros-testvm.git] / cirros-testvm / src-cirros / buildroot-2015.05 / package / olsr / S50olsr
diff --git a/cirros-testvm/src-cirros/buildroot-2015.05/package/olsr/S50olsr b/cirros-testvm/src-cirros/buildroot-2015.05/package/olsr/S50olsr
new file mode 100755 (executable)
index 0000000..b79aa79
--- /dev/null
@@ -0,0 +1,23 @@
+#!/bin/sh
+
+case "$1" in
+  start)
+    echo -n "Starting oslrd daemon: "
+    start-stop-daemon -S -q -x /usr/sbin/olsrd -- -d 0 -pidfile /run/olsrd.pid
+    [ $? = 0 ] && echo "OK" || echo "FAIL"
+    ;;
+  stop)
+    echo -n "Stopping olsrd daemon: "
+    start-stop-daemon -K -q -p /run/olsrd.pid
+    [ $? = 0 ] && echo "OK" || echo "FAIL"
+    ;;
+  restart)
+    $0 stop
+    $0 start
+    ;;
+  *)
+    echo "Usage: $0 {start|stop|restart}"
+    exit 1
+esac
+
+exit $?